﻿-- Torta
-- v0.0.1
-- Created by Quezacolt of Aman'Thul (Oceanic)
-- Concept based on the Checklist addon, also by Quezacolt.

Torta = {}
Torta.gui = {};
Torta.cl3 = {};
Torta.nb2 = {};
Torta.revision = 0;

SlashCmdList["TORTA_SHOWUI"] = function()
  Torta.gui:ToggleWindow();
end
SLASH_TORTA_SHOWUI1 = "/torta";

SlashCmdList["TORTA_RLUI"] = ReloadUI;
SLASH_TORTA_RLUI1 = "/rl";

SlashCmdList["TORTA_GETWIDGETNAME"] = function()
  if GetMouseFocus() then
    print(GetMouseFocus():GetName());
  else
    print("The cursor is not over a UI element.");
  end
end
SLASH_TORTA_GETWIDGETNAME1 = "/getname";

local options = {
  name = "Torta",
  handler = Torta,
  type = "group",
  args = {
    
  }
}

function Torta:OnInitialize() -- From this point forward, the DB is now available.
  local aboutLabel = TortaParentFrameStartPageSidebarAboutText;
  aboutLabel:SetText("Torta is an addon written by Quezacolt of Aman'Thul based on the Checklist project.\n\nYour suggestions for Torta are always welcome :)");
  aboutLabel:SetJustifyV("TOP");
  
  local vLabel = TortaParentFrameStartPageTaskbarText;
  
  vLabel:SetFormattedText("Torta v0.2.%d Preview Build", self.revision);
  
  vLabel:SetJustifyH("LEFT");
  vLabel:SetAlpha(0.7);
  
  
  Torta.gui:Initialize();
  Torta.cl3:InitializeChecklist();
  Torta.nb2:InitializeNotebook();
  
  options.args.profile = LibStub("AceDBOptions-3.0"):GetOptionsTable(self.db);
  local f = LibStub("AceConfig-3.0"):RegisterOptionsTable("Torta", options);
  LibStub("AceConfigDialog-3.0"):AddToBlizOptions("Torta", "Torta");
end

function Torta:RegisterRevision(revStr)
  local rev = tonumber(revStr:match("%d+"));
  if (rev ~= nil) and (rev > self.revision) then
    self.revision = rev;
  end
end

function Torta:InitProfileDialog(profileDlg)
  local topText = profileDlg:CreateFontString(nil, "ARTWORK", "GameFontHighlight");
  topText:SetPoint("TOPLEFT", "$parentHeaderTexture", "BOTTOMLEFT", 10);
  topText:SetPoint("TOPRIGHT", "$parentHeaderTexture", "BOTTOMRIGHT", -10);
  topText:SetPoint("BOTTOM", "$parent", "BOTTOM");
  topText:SetText("You can change the profile that Torta uses. You can set two characters to see the same lists and notebooks by setting them to use the same profile.");
  topText:SetJustifyH("LEFT");
  topText:SetJustifyV("TOP");
  
  profileDlg:SetBackdropBorderColor(TOOLTIP_DEFAULT_COLOR.r,
    TOOLTIP_DEFAULT_COLOR.g,
    TOOLTIP_DEFAULT_COLOR.b);
  profileDlg:SetBackdropColor(TOOLTIP_DEFAULT_BACKGROUND_COLOR.r,
    TOOLTIP_DEFAULT_BACKGROUND_COLOR.g,
    TOOLTIP_DEFAULT_BACKGROUND_COLOR.b);
end

Torta:RegisterRevision("$Revision: 7 $");