﻿-- Code that'll run "on top of" AceDB-3.0 will go here.
-- (a friendlier profile interface is being worked on)
local defaults = {
  profile = {
    cfg = {
      loadedList = false -- No more ListInUse/ListLastUsed madness like before.
    },
    lists = {},
    notes = {}
  }
}

local function onProfileChanged()
  Torta.cl3:LoadList(Torta.db.profile.cfg.loadedList);
  Torta.gui:clUpdateScrollFrame();
  Torta.gui:exUpdateScrollFrame();
end

local evtFrame = CreateFrame("Frame");
evtFrame:RegisterEvent("VARIABLES_LOADED");
evtFrame:SetScript("OnEvent", function(frame, event)
  Torta.db = LibStub("AceDB-3.0"):New("TortaDB", defaults);
  Torta.db.RegisterCallback(Torta, "OnProfileChanged", onProfileChanged);
  Torta.db.RegisterCallback(Torta, "OnProfileCopied", onProfileChanged);
  Torta.db.RegisterCallback(Torta, "OnProfileReset", onProfileChanged);
  Torta.db.RegisterCallback(Torta, "OnDatabaseReset", onProfileChanged);
  Torta:OnInitialize();
end)